View Issue Details

IDProjectCategoryView StatusLast Update
0001355SOGoBackend Calendarpublic2011-07-11 16:27
ReporterMarten Gajda Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.7 
Target Version1.3.8Fixed in Version1.3.8 
Summary0001355: SOGo writes DATETIME format in EXDATE for all-day events
Description

Recurring all-day events created by SOGo that have exceptions are (in my opinion) not well-formed.

I know that RFC5545 is not clear about the format for EXDATE and RDATE attributes for all-day events, but all-day events are floating and therefore should not be linked to any time zone (incl. UTC).

The attached event (created by the SOGo Demo-Server) has:

DTSTART;TZID=Europe/Berlin:20110702

DTEND;TZID=Europe/Berlin:20110703

(the TZID-parameter is superfluous as well in this case, as the event starts on July 2nd everywhere on the world not just in Europe/Berlin)
but the EXDATE attribute is:

EXDATE:20110705T220000Z

I think it should be:

EXDATE:20110706

The first form would mean, the exception occurs on July the 5th at 22:00 if you happen to be located in UTC. But the exception is July 6th, no matter where you are.

Besides: Lightning doesn't honour the exception in the first format, it just ignores it.

RDATE attributes my be affected as well. I didn't check this.

TagsNo tags attached.

Activities

2011-07-02 17:55

 

5C25-4E0F5200-7-7C0C8280-1.ics (766 bytes)   
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Inverse inc./SOGo 1.3.7//EN
BEGIN:VEVENT
UID:5C25-4E0F5200-7-7C0C8280
SUMMARY:TEST124
CREATED:20110702T171537Z
DTSTAMP:20110702T171537Z
LAST-MODIFIED:20110702T171548Z
DTSTART;TZID=Europe/Berlin:20110702
DTEND;TZID=Europe/Berlin:20110703
TRANSP:OPAQUE
RRULE:COUNT=10;FREQ=DAILY
SEQUENCE:2
EXDATE:20110705T220000Z
END:VEVENT
BEGIN:VTIMEZONE
TZID:Europe/Berlin
X-LIC-LOCATION:Europe/Berlin
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
TZNAME:CEST
DTSTART:19700329T020000
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
TZNAME:CET
DTSTART:19701025T030000
RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU
END:STANDARD
END:VTIMEZONE
END:VCALENDAR
francis

francis

2011-07-11 16:27

administrator   ~0002690

Fixed in revision c0509d9d92c69255be6d27969b4f578739e78c7f.

Issue History

Date Modified Username Field Change
2011-07-02 17:55 Marten Gajda New Issue
2011-07-02 17:55 Marten Gajda File Added: 5C25-4E0F5200-7-7C0C8280-1.ics
2011-07-05 09:09 ludovic Target Version => 1.3.8
2011-07-11 16:27 francis Note Added: 0002690
2011-07-11 16:27 francis Status new => resolved
2011-07-11 16:27 francis Fixed in Version => 1.3.8
2011-07-11 16:27 francis Resolution open => fixed
2011-07-11 16:27 francis Assigned To => francis